#!/bin/bash -xe
wget -O - https://repo.saltstack.com/apt/ubuntu/16.04/amd64/2016.3/SALTSTACK-GPG-KEY.pub | sudo apt-key add -
wget -O - http://apt.mirantis.com/public.gpg | apt-key add -
echo "deb http://repo.saltstack.com/apt/ubuntu/16.04/amd64/2016.3 xenial main" >/etc/apt/sources.list.d/saltstack.list
apt-get update
apt-get install git -y
git clone --recursive -b $CLUSTER_MODEL_REF $CLUSTER_MODEL /srv/salt/reclass
git clone https://github.com/salt-formulas/salt-formulas-scripts /srv/salt/scripts
export FORMULAS_SOURCE=pkg
export HOSTNAME=apt01
export DOMAIN=$CLUSTER_NAME.local
export EXTRA_FORMULAS="ntp aptly nginx iptables docker"
/srv/salt/scripts/bootstrap.sh
echo "deb [arch=amd64] http://apt.mirantis.com/xenial/ ${FORMULA_VERSION} salt" > /etc/apt/sources.list.d/mcp_salt.list
apt-get install salt-formula* -y
salt-call saltutil.refresh_pillar
salt-call saltutil.sync_all
salt-call -t 5 --retcode-passthrough --no-color state.sls salt
salt-call -t 5 --retcode-passthrough --no-color state.sls linux.system.repo,linux.system.directory,linux.system.package,linux.system.file
salt-call -t 5 --retcode-passthrough --no-color state.sls linux.network
salt-call -t 5 --retcode-passthrough --no-color state.sls nginx
